/**
 * EntityDeterminerDetermined2.java
 *
 * File generated from the medication2::EntityDeterminerDetermined2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityDeterminerDetermined2.
 *
 * 
 */

@XmlType(name = "EntityDeterminerDetermined")
@XmlEnum
@XmlRootElement(name = "EntityDeterminerDetermined2")
public enum EntityDeterminerDetermined2 {
	@XmlEnumValue("KIND")
	KIND("KIND"),
	@XmlEnumValue("QUANTIFIED_KIND")
	QUANTIFIEDKIND("QUANTIFIED_KIND");
	
	private final String value;

    EntityDeterminerDetermined2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityDeterminerDetermined2 fromValue(String v) {
        for (EntityDeterminerDetermined2 c: EntityDeterminerDetermined2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
